Wordpress widget problème


L'écran de sécurité de SPIP (http://www.spip.net/fr_article4200.html) pose problème si vous avez un Wordpress d'installé sur le même serveur (écran niveau du serveur). Les widgets ne fonctionnent pas correctement (Undefined index ajax-actions.php on line 1588).

Les lignes suivantes de l'écran de sécurité de SPIP en sont la cause:
foreach ($_POST as $var => $val)
if ($_POST[$var] AND strncmp($var,"id_",3)==0 AND $var!='id_table')
$_POST[$var] = is_array($_POST[$var])?@array_map('intval',$_POST[$var]):intval($_POST[$var]);

En commentant ces lignes, les widgets fonctionneront très bien.


pierre.lachance@recitmst.qc.ca


Discussions ici: http://forum.spip.net/fr_245844.html#forum245896
Il n'y a pas de commentaire sur cette page. [Afficher commentaires/formulaire]
 
IMP :: RSS :: HTML :: TXT :: Clone :: Historique :: Propriétaire : PierreLachance